"""
FIVC框架版本信息模块

本模块定义了FIVC (Five Component Framework) 的版本信息。
版本号遵循语义化版本规范 (Semantic Versioning)。

版本格式: MAJOR.MINOR.PATCH
- MAJOR: 不兼容的API修改
- MINOR: 向下兼容的功能性新增
- PATCH: 向下兼容的问题修正

Author: Charlie ZHANG <sunnypig2002@gmail.com>
Created: 2025
License: MIT
"""

# 当前版本号
__version__ = "0.1.1"

# 版本历史
__version_info__ = (0, 1, 1)

# 发布状态
__status__ = "beta"

# 框架名称
__title__ = "FIVC"
__description__ = "Five Component Framework - 轻量级Python组件管理框架"

# 作者信息
__author__ = "Charlie ZHANG"
__author_email__ = "sunnypig2002@gmail.com"

# 项目信息
__url__ = "https://github.com/5C-Plus/fivc"
__license__ = "MIT"
__copyright__ = "Copyright 2025 Charlie ZHANG"
